# CraftPresence

## [v2.2.5](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.2.5) (2022-05-28)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.2.1...v2.2.5) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] Added multi-line support to several category comments  
    - Also includes some misc. changes and typo fixes  
- [Fix] Fixed a locale typo  
- [Fix] Added a case for when the  Metric Engine's`stateCallback` changes  
    - This commit allows the `stateCallback` to be processed again if it has been modified, without requiring a reload. Note however, it is still recommended to reload due to duplicate registrations possibly causing issues.  
- [Change] Analytics now have an `unregisterCallback`  
    - This callback allows for unloading analytic data when it is no longer processable, either from being disabled or other reasoning.  
    - This commit also removes the requirement to do /reload when making changes to this menu, due to adding `SyncAnalytics` as the `changedCallback` for the dynamic table as well as rewriting the function to allow for it. Note however, that in most cases disabling a metric engine still requires a reload to purge outside addon data, though `unregisterCallback` may be edited in cases like this to purge remaining metric data (Albeit this is unsafe and not recommended).  
- [Fix] Fixed incorrect spacing between a dynamic table's comment and grp  
    - A spacer has been added between a dynamically generated config table's comment and the rest of the UI in order to patch up a slight ui misconfiguration.  
- [Refactor] `InitializeAnalytics` => `SyncAnalytics`  
    - function name changed due to clearing prior data before execution now, related to an upcoming commit.  
- [Fix] Misc. Fixes before 9.2.5 Preparations  
